[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: SVN and Apache 2.2.3 Windows

From: Garrett Rooney <rooneg_at_electricjellyfish.net>
Date: 2006-09-12 21:39:33 CEST

On 9/12/06, Ken Herner <chosenken@gmail.com> wrote:
> I have been reading through and am thurally confused. I am running at home
> XAMPP, which is Apache + PHP + MySQL + about 10 other packages all configued
> and set up. Really nice because I don't have to set up Apache and MySQL and
> such. Anyway, I had read that 1.4 dosn't work with Apache 2.2.3 on Windows
> because of the APR. What do I have to do? I heard something about a patch,
> and that is it.

At the moment in order to use Subversion with Apache 2.2 on Windows
you have to build Apache 2.2 with a version of APR checked out from
svn.apache.org, since the bug fix that makes things not work hasn't
yet made it into a released version. Then you have to actually build
Subversion on windows against that version of Apache/APR/APR-Util/etc,
because the binaries we distribute are built against older versions,
and they're not binary compatible.

-garrett

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Tue Sep 12 21:43:55 2006

This is an archived mail posted to the Subversion Users mailing list.